﻿@model IEnumerable<EM.Domain.Entities.Evenement>




@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/Tenant/Views/Shared/_Tenant.cshtml";
}

@section page {
      Cloud-Guru
}

@section active_event {
    active
}


<a class="btn btn-info" href="@Url.Action("Create")"> Create New </a>


@if (Model.Any())
{

        <div class="container-fluid">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
                        <div class="card-header card-header-primary">
                         
                                <h3 class="card-title ">Events</h3>
                            </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table">

                                    <tr>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Name)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Picture)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Theme)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Location)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.StartDate)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.EndDate)
                                        </th>
                                        <th>
                                            <div >
                                                @using (Html.BeginForm("ExportData", "Evenement", FormMethod.Post))
                                                {

                                                    <button type="Submit">Export to Excel</button>
                                                }
                                            </div>
                                        </th>
                                    </tr>

                                    @foreach (var item in Model)
                                    {
                                        <tbody>
                                        <tr>
                                            <td> 
                                                @Html.DisplayFor(modelItem => item.Name)
                                            </td>
                                            <td>
                                                @{
                                                    string path = "~/Content/Upload/" + @item.Picture;
                                                }
                                                <img src="@Url.Content(path)" width="80" height="80" />
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.Theme)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.Location)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.StartDate)
                                            </td>
                                            <td>
                                                @Html.DisplayFor(modelItem => item.EndDate)
                                            </td>

                                            <td>
                                                @Html.ActionLink("Edit", "Edit", new { id = item.EventId }) |
                                                @Html.ActionLink("Details", "Details", new { id = item.EventId }) |
                                                @Html.ActionLink("Delete", "Delete", new { id = item.EventId })
                                            </td>
                                        </tr>
                                        </tbody>

                                                    }
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
    
}
else
{
    <div class="alert alert-info">
        <div class="container">
            <div class="alert-icon">
                <i class="material-icons">info_outline</i>
            </div>
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true"><i class="material-icons">clear</i></span>
            </button>
            <b>Info alert:</b> There is any event created </div>
    </div>
}

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>


        <div class="input-group no-border">
     <input type="text" id="search_input" class="form-control" placeholder="Search your prefer event" aria-label="Amount (to the nearest dollar)">
    <button type="submit" class="btn btn-white btn-round btn-just-icon">
        <i class="material-icons">search</i>
        <div class="ripple-container"></div>
    </button>
</div>

<div id="search_output" class="dl-dropdown dl-layout-container dl-layout-spacing-xs-0 dl-layout-align-xs-center" style="left: 0px; top: -10.5px;"> </div><br>



    <script>


        $("#search_input").keyup(function () {
            
            var i = $("#search_input").val();
            $.ajax({
                type: "GET",
                url: "/Evenement/GetSearch",
                dataType: 'json',
                data: { 's': i },
                success: function (data) {

                    $("#search_output").html("<table id='res' class='table table-striped table-bordered' cellspacing='0' width='100%'><thead><tr> <th>Name </th> <th>Location </th>        <th> Start Date </th></tr></thead><tbody>");
                    $.each(data, function (key, el) {
                        $('#res').append(
   "<tr>" +

   "<td>" + el.Name + "</td>" +
   "<td>" + el.Location + "</td>" +
   "<td>" + el.StartDate  + "</td>" +


   "</tr>"
                       )
                    });
                    $('#res').append("</tbody></table>")



                }

            });
        });
    </script>
